# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "cns"
version = "0.1.1"
authors = ["adamsky <adamsky@enum.space>"]
description = "Search through Rust crates without leaving the terminal."
readme = "README.md"
keywords = ["crates", "crates-io", "search", "tui", "terminal"]
license = "MIT"
repository = "https://github.com/adamsky/cns"
[dependencies.anyhow]
version = "1.0.38"

[dependencies.chrono]
version = "0.4.19"

[dependencies.clipboard]
version = "0.5.0"
optional = true

[dependencies.consecrates]
version = "0.1.1"

[dependencies.crossterm]
version = "0.18.0"

[dependencies.http_req]
version = "0.7.2"
features = ["rust-tls"]
default-features = false

[dependencies.tui]
version = "0.14"
features = ["crossterm"]
default-features = false

[dependencies.webbrowser]
version = "0.5.5"

[features]
default = ["clipboard"]
